<?php
function varsta($strdate)
{
$dob=explode('-',$strdate);
if(count($dob)!=3)
return 0;
$y=$dob[0];
$m=$dob[1];
$d=$dob[2];
if(mb_strlen($y)!=4)
return 0;
if(mb_strlen($m)!=2)
return 0;
if(mb_strlen($d)!=2)
return 0;
$y+=0;
$m+=0;
$d+=0;
if($y==0)
return 0;
$rage=date('Y')-$y;
if(date('m')<$m)
$rage-=1;
else
{
if((date('m')==$m)&&(date('d')<$d))
$rage-=1;
}
return$rage;
}